package com.plannaplan.entities;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

/**
 *  Entity of Assignment grouping of state associated about group_id and commision_id
 * 
 */

@Entity
public class Assignment {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;
    @ManyToOne
    @JoinColumn(name = "group_id")
    private Groups group;
    @ManyToOne
    @JoinColumn(name = "commision_id")
    private Commision commision;

    /**
     *  Assignment
     * 
     *  @param group group you would like to assign
     *  @param commision commision assignment belongs to group
     * 
     */
    public Assignment(Groups group, Commision commision) {
        this.commision = commision;
        this.group = group;
    }

    public Assignment() {
    }

    /**
     *  getId 
     * 
     *  @return id
     */

    public Long getId() {
        return this.id;
    }

    /**
     *  getGroup 
     * 
     *  @return group
     */
    public Groups getGroup() {
        return this.group;
    }
}